commit 02f67777021cdbe42c6d4b6acf74a2e8c86b3415
Author: Sam Song <samsongshu@yahoo.com.cn>
Date:   Thu Apr 5 15:30:11 2007 +0800

    Add CFG_FLASH_USE_BUFFER_WRITE/CFG_FLASH_QUIET_TEST/CONFIG_CMDLINE_EDITING.
    
    Signed-off-by: Sam Song <samsongshu@yahoo.com.cn>

diff --git a/include/configs/MPC8641HPCN.h b/include/configs/MPC8641HPCN.h
index c955252..db3ff83 100644
--- a/include/configs/MPC8641HPCN.h
+++ b/include/configs/MPC8641HPCN.h
@@ -207,7 +207,9 @@ extern unsigned long get_board_sys_clk(u
 
 #define CFG_FLASH_CFI_DRIVER
 #define CFG_FLASH_CFI
+#define CFG_FLASH_USE_BUFFER_WRITE
 #define CFG_FLASH_EMPTY_INFO
+#define CFG_FLASH_QUIET_TEST
 
 #if (CFG_MONITOR_BASE < CFG_FLASH_BASE)
 #define CFG_RAMBOOT
@@ -252,6 +254,7 @@ extern unsigned long get_board_sys_clk(u
 #define CFG_NS16550_COM1        (CFG_CCSRBAR+0x4500)
 #define CFG_NS16550_COM2        (CFG_CCSRBAR+0x4600)
 
+#define CONFIG_CMDLINE_EDITING
 /* Use the HUSH parser */
 #define CFG_HUSH_PARSER
 #ifdef  CFG_HUSH_PARSER
